Bug 315448 - Support multiple keys for one character (chording keyboards)
Summary: Support multiple keys for one character (chording keyboards)
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Unclassified
Component: general (show other bugs)
Version: 2.0.0
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Sebastian Gottfried
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-19 12:34 UTC by Peter Feigl
Modified: 2013-02-22 22:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.11.0


Attachments
Chording Keyboard in ktouch (69.68 KB, image/jpeg)
2013-02-19 12:34 UTC, Peter Feigl
Details
Screenshot of working patch (93.85 KB, image/jpeg)
2013-02-19 13:29 UTC, Peter Feigl
Details
return multiple keys for a letter, not only one (1.04 KB, patch)
2013-02-19 13:30 UTC, Peter Feigl
Details
use multiple keys for highlighting (1.13 KB, patch)
2013-02-19 13:30 UTC, Peter Feigl
Details
keyboard layout for chording keyboard (3.29 KB, text/xml)
2013-02-19 13:31 UTC, Peter Feigl
Details
random lessons for us(intl) (11.00 KB, text/xml)
2013-02-19 13:31 UTC, Peter Feigl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Feigl 2013-02-19 12:34:40 UTC
Created attachment 77426 [details]
Chording Keyboard in ktouch

I'm learning the BAT Keyboard (see http://en.wikipedia.org/wiki/BAT_keyboard) and would like to use ktouch for this. Chording keyboards require the pressing of not only one but multiple keys to produce a character. This would work fine, if ktouch highlighted *all* the keys that have a certain character mentioned, and not just one. I tried adding character 'h' to multiple keys, but only one of them is highlighted when I should press 'h'.
Comment 1 Peter Feigl 2013-02-19 13:29:38 UTC
Created attachment 77428 [details]
Screenshot of working patch

This is a screenshot that shows how things look if the two diffs are applied
Comment 2 Peter Feigl 2013-02-19 13:30:09 UTC
Created attachment 77429 [details]
return multiple keys for a letter, not only one
Comment 3 Peter Feigl 2013-02-19 13:30:31 UTC
Created attachment 77430 [details]
use multiple keys for highlighting
Comment 4 Peter Feigl 2013-02-19 13:31:12 UTC
Created attachment 77431 [details]
keyboard layout for chording keyboard

This is an example layout. I chose us(intl) because I don't know how to explicitly tell ktouch which layout to use...
Comment 5 Peter Feigl 2013-02-19 13:31:37 UTC
Created attachment 77432 [details]
random lessons for us(intl)
Comment 6 Sebastian Gottfried 2013-02-22 22:26:08 UTC
Git commit 5a9eb9c3508e41bc093f3e7a0080ad861f7ab560 by Sebastian Gottfried.
Committed on 22/02/2013 at 23:19.
Pushed by gottfried into branch 'master'.

training screen: allow multiple highlighted keys for the next character

Based on a patch by Peter Feigl <craven@gmx.net>

This useful for training on chorded keyboards where one has to press
multiple keys at the same time to produce a character.
FIXED-IN: 4.11.0

M  +21   -12   src/qml/Keyboard.qml
M  +20   -17   src/qml/TrainingScreen.qml

http://commits.kde.org/ktouch/5a9eb9c3508e41bc093f3e7a0080ad861f7ab560